BEGIN ~#ILLYRIA~

IF ~NumTimesTalkedTo(0)~ THEN BEGIN FirstMeeting
SAY ~(You see a young woman asleep on the ground, her skin a sickly shade of grey. She has several bruises on her face and arms, and seems much the worse for wear.~

IF ~~ THEN REPLY ~(Try to wake her up)~ GOTO Wakeup
IF ~~ THEN REPLY ~(Leave her alone)~ GOTO Exit
END

IF ~~ THEN BEGIN Wakeup
SAY ~(She groans slihtly, and sits up, an extremely baffled and frightened expression crossing her face. The grey gives way to a flush of pink, and she hisses at you unintelligably.)~
SAY ~(Finally, she seems to realise you are staring at her confusedly, and she shakes her head slightly.) I am Illyria. W-who are you?~

IF ~~ THEN REPLY ~I'm <CHARNAME>. Nice to meet you Illyria.. though it seems the circumstances of our meeting are most unpleasant. Would you like to join me?~ GOTO Join
IF ~~ THEN REPLY ~I am <CHARNAME>, and you would do well to remember that. Begone!~ GOTO begone
END

IF ~~ THEN BEGIN Join
SAY ~(She smiles wanly.) I would be happy to join with you, and indeed these circumstances are not wanted. Let us be off.~
IF ~~ THEN REPLY ~Okay, let's go.~ DO ~SetGlobal("IllyriaJoined","LOCALS",1) JoinParty()~ EXIT

IF ~~ THEN BEGIN Begone
SAY ~(She stares at you for a moment before sitting down again. She refuses to talk more.)~ EXIT

BEGIN ~B#ILLYRI~

CHAIN
IF ~InParty("Jaheira")
InParty("illyria")
See("Jaheira")
See("illyria")
!StateCheck("Jaheira",STATE_SLEEPING)
!StateCheck("illyria",STATE_SLEEPING)
Global("IllyriaJaheira1","LOCALS",0)~ THEN BJAHEIR Suspect
~Illyria, your motives for joining this party are highly suspect.~ DO ~SetGlobal("HessaJaheira1","LOCALS",1)~
==B#ILLYRI
~I don't see how. I have always been frank about my motives. I'm here for the power and the money. I'm chanelling Hessa, yeeey.~
==BJAHEIR
~Yes, you are definately chanelling Hessa. While that is not an unknown, it is difficult to foresee just what depths your chanelling will drive you to, and what the ramification will be for this party. I worry that you will throw <CHARNAME>'s motives out of balance.~
==B#ILLYRI IF ~ReputationLT(Player1, 15) ReputationGT(Player1, 9)~ THEN ~I hardly think you need to crack your brow out of balance, Jaheira. You're looking at this the wrong way. If I wern't around, <CHARNAME> might be TOO good.~
==B#ILLYRI IF ~ReputationLT(Player1, 10)~ THEN ~So what if our reputation has become a bit shady? Gods, if we were balanced as an acrobat on a high wire, would you really be carefree?~
==BJAHEIR IF ~ReputationLT(Player1, 10)~ THEN ~With you in the party?~ 
=
~I doubt it.~
EXIT